from setuptools import setup, find_packages
from typing import List

with open('README.md', 'r', encoding='utf-8') as f:
    long_description = f.read()   
   

## Required files
__version__ = "0.0.8"
REPO_NAME = "dbconnectorpkg"
PKG_NAME= "dbautomate" # package will be visible with this name in PyPI
AUTHOR_USER_NAME = "ravi46931" # GitHub user name
AUTHOR_EMAIL = "ravikumar46931@gmail.com"

setup(
    name=PKG_NAME,
    version=__version__,
    author=AUTHOR_USER_NAME,
    author_email=AUTHOR_EMAIL,
    description="A Python package for connecting with database.",
    long_description=long_description,
    # long_description_content="text/markdown",
    long_description_content_type='text/markdown',
    url=f"https://github.com/{AUTHOR_USER_NAME}/{REPO_NAME}",
    project_urls={
        "Bug Tracker": f"https://github.com/{AUTHOR_USER_NAME}/{REPO_NAME}/issues",
    },
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    # Install requires may be added at here
    install_requires=['pymongo', 'pymongo[srv]', 'dnspython', 'pandas', 'numpy', 'ensure', 'pytest', 'termcolor', 'mysql-connector-python', 'prettytable'],
    )